<?php
/**
 * Google Analytics tracking plugin
 *
 * @version		1.6.0
 * @author		Martin Rasser, Elovaris Web Development
 * @copyright	Copyright (C) 2009 Elovaris Web Development. All rights reserved.
 * @license		MIT license (http://www.opensource.org/licenses/mit-license.php) or GNU/GPL (http://www.gnu.org/licenses/gpl-2.0.html)
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.plugin.plugin');

class plgSystemConfigboxga extends JPlugin {
	function plgSystemConfigboxga(&$subject, $config) {
		parent::__construct($subject, $config);
	}
	
	function onAfterDispatch() {
		if (JFactory::getApplication()->isAdmin()) return;
		
		if (trim($this->params->get('verification_metatag','')) != '') {
			JFactory::getDocument()->setMetaData('google-site-verification',$this->params->get('verification_metatag'));			
		}
	
		// Return if in admin
		if (JFactory::getApplication()->isAdmin()) return;
		
		// Return if page type is not HTML
		$doc =& JFactory::getDocument();
		if ($doc->getType() != 'html') {
			return;
			
		}
		
		$ignore = trim($this->params->get('ignore_domain', ''));
		if ($_SERVER['REMOTE_ADDR'] == $ignore) {
			return;
		} 
		elseif ($_SERVER['REMOTE_ADDR'] == gethostbyname($ignore)) {
			return;
		}
		
		
		$webPropertyId = 	trim($this->params->get('web_property_id', ''));
		$trackAcross = 		trim($this->params->get('track_across_domain', ''));
		$trackSubDirOnly = 	trim($this->params->get('track_subdironly', ''));
		$trackCustom = 		trim($this->params->get('track_custom', ''));
		
		if(!empty($webPropertyId)) {
			ob_start();
			?>
			<script type="text/javascript">
			<!--
			var _gaq = _gaq || [];
  			_gaq.push(['_setAccount', '<?php echo $webPropertyId;?>']);
 			_gaq.push(['_trackPageview']);
 			_gaq.push(['_setAllowLinker', true]);
			
			<?php if ($trackAcross) { ?>
				_gaq.push(['_setDomainName', '<?php echo $trackAcross;?>']);
			<?php } ?>
			
			<?php if ($trackSubDirOnly) { ?>
				_gaq.push(['_setCookiePath', '<?php echo $trackSubDirOnly;?>']);
			<?php } ?>
			
			<?php 
			if ($trackCustom) {
				echo $trackCustom;
			}
			if (defined('CBCHECKOUT_ECCODE')) {
				echo CBCHECKOUT_ECCODE;
			}
			?>
			
  			(function() {
    			var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    			ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    			var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  			})();
			
			-->
			</script>
			<?php
			$scriptTag = ob_get_clean();
			
			$doc->addCustomTag($scriptTag);
			
		}
		
	}
}

?>